Subject: bug#44053: Poor profile generation performance on spinning disks

From: Luis Felipe <[email-masked]>
Date: Thu, 03 Apr 2025 17:53:05 +0000

On Thursday, April 3rd, 2025 at 07:25, Maxim Cournoyer <[email-masked]> wrote:

> Hi,

> jbranso--- via Bug reports for GNU Guix [email-masked] writes:
> 

> > April 2, 2025 at 6:16 AM, "Andreas Enge" <[email-masked]
> > mailto:[email-masked]?to=%22Andreas%20Enge%22%20%3Candreas%40enge.fr%3E
> > 

> > > wrote:

> > > Hello,

> > > as "there is little room for optimization" and nobody has taken the time
> > > to look at it more closely, can we close this issue?
> > > 

> > > Andreas

> > Perhaps less people use spinning disks at this point. SSDs/NVMes are fairly
> > popular. Also I don't use guix at the moment, so I am unable to be a tester
> > if this issue was fixed. :(
> 

> I've moved to NVMe myself and things have been zippy enough. I guess we
> could consider this issue having been obsoleted by advances in
> technology.
> 

> Closing.

My machine still uses HDD but I don't have to build my profiles often, which makes the slowness less noticeable. I think I got used to it.

It is a sad reality though, because I'm always behind in hardware technology. I'll keep using HDD until it breaks though.